Which iOS versions does Osmo support?

In order to ensure the best possible Osmo game experience, we recommend customers keep their iOS updated to the latest version. In fact, we support all newer versions of iOS 10+.

Currently our games require iOS 7.0 as a minimum (Masterpiece requires iOS 7.1). 

Still have a question? Please contact us!

Which iOS versions does Osmo support?

Arisha -

In order to ensure the best possible Osmo game experience, we recommend customers keep their iOS updated to the latest version. In fact, we support all newer versions of iOS 10+.

Currently our games require iOS 7.0 as a minimum (Masterpiece requires iOS 7.1). 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.